Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.addressing
Class EndpointReference

    java.lang.Object
      org.codehaus.xfire.addressing.EndpointReference

    public class EndpointReference

extends java.lang.Object

Constructor Summary
`EndpointReference()`

Method Summary
`java.lang.String` | `getAddress()`
`java.util.List` | `getAny()`
`java.lang.String` | `getEndpointName()`
`javax.xml.namespace.QName` | `getInterfaceName()`
`java.util.List` | `getPolicies()`
`java.util.List` | `getReferenceParameters()`
`java.util.List` | `getReferenceProperties()`
`javax.xml.namespace.QName` | `getServiceName()`
`void` | `setAddress(java.lang.String address)`
`void` | `setAny(java.util.List any)`
`void` | `setEndpointName(java.lang.String endpointName)`
`void` | `setInterfaceName(javax.xml.namespace.QName interfaceName)`
`void` | `setPolicies(java.util.List policies)`
`void` | `setReferenceParameters(java.util.List referenceParameters)`
`void` | `setReferenceProperties(java.util.List referenceProperties)`
`void` | `setServiceName(javax.xml.namespace.QName serviceName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EndpointReference

    public EndpointReference()

Method Detail

### getAddress

    public java.lang.String getAddress()

### setAddress

    public void setAddress(java.lang.String address)

### getAny

    public java.util.List getAny()

### setAny

    public void setAny(java.util.List any)

### getEndpointName

    public java.lang.String getEndpointName()

### setEndpointName

    public void setEndpointName(java.lang.String endpointName)

### getInterfaceName

    public javax.xml.namespace.QName getInterfaceName()

### setInterfaceName

    public void setInterfaceName(javax.xml.namespace.QName interfaceName)

### getPolicies

    public java.util.List getPolicies()

### setPolicies

    public void setPolicies(java.util.List policies)

### getServiceName

    public javax.xml.namespace.QName getServiceName()

### setServiceName

    public void setServiceName(javax.xml.namespace.QName serviceName)

### getReferenceParameters

    public java.util.List getReferenceParameters()

### setReferenceParameters

    public void setReferenceParameters(java.util.List referenceParameters)

### getReferenceProperties

    public java.util.List getReferenceProperties()

### setReferenceProperties

    public void setReferenceProperties(java.util.List referenceProperties)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.